/*
 * $Id: rb_ecore_con.c 362 2006-02-13 22:46:35Z tilman $
 *
 * Copyright (C) 2005 ruby-ecore team (see AUTHORS)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <ruby.h>
#include <Ecore_Con.h>

#include "../ecore/rb_ecore.h"

void Init_Server (VALUE m);

static void at_exit ()
{
	ecore_con_shutdown ();
}

void Init_ecore_con (void)
{
	VALUE m;

	rb_require ("ecore");

	ecore_con_init ();
	atexit (at_exit);

	m = rb_define_module_under (mEcore, "Con");

	Init_Server (m);
}
